Package: groovy.util

## [Java] Class DefaultChildPropertySetter

- groovy.util.ObjectGraphBuilder.DefaultChildPropertySetter

- All Implemented Interfaces and Traits:
    ChildPropertySetter

      public static class ObjectGraphBuilder.DefaultChildPropertySetter

  Default impl that calls parent.propertyName = child
  If parent.propertyName is a Collection it will try to add child to the collection.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setChild(Object parent, Object child, String parentName, String propertyName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void setChild(Object parent, Object child, String parentName, String propertyName)